Subject: Re: [PATCH v3 4/4] urlmatch: allow globbing for the URL host part

From: Junio C Hamano <[email-masked]>
Date: Fri, 27 Jan 2017 09:45:41 -0800

Patrick Steinhardt <[email-masked]> writes:

>> This is probably a useful improvement.
>> 
>> Having said that, when I mentioned "glob", I meant to also support
>> something like this:
>> 
>> 	https://www[1-4].ibm.com/
>
> The problem with additional extended syntax like proposed by you
> is that we would indeed need an escaping mechanism here.

True.  I think a true shell globbing is overkill (so is regexp) and
just a simple wildcarding with '*' would be a good first step that
is easy to explain and later extend as needed.

Thanks.